# sros – Use Nokia SROS netconf plugin to run netconf commands on Nokia SROS platform

New in version 2.9.

- DEPRECATED
- Synopsis
- Parameters
- Status

## DEPRECATED

Removed in Ansible:
| version: 2.13
Why: | This plugin moved in ‘nokia.sros’ collection
Alternative: | Use the netconf plugin in ‘nokia.sros’ collection within Ansible galaxy

## Synopsis

- This sros plugin provides low level abstraction apis for sending and receiving netconf commands from Nokia sros network devices.

## Parameters

Parameter | Choices/Defaults | Configuration | Comments
--- | --- | --- | ---
ncclient_device_handler string | Default: "default" |  | Specifies the ncclient device handler name for Nokia sros network os. To identify the ncclient device handler name refer ncclient library documentation.

## Status

- This netconf will be removed in version 2.13. [deprecated]
- For more information see DEPRECATED.

### Authors

- UNKNOWN

Hint

If you notice any issues in this documentation, you can edit this document to improve it.

Hint

Configuration entries for each entry type have a low to high priority order. For example, a variable that is lower in the list will override a variable that is higher up.